Loading...
Searching...
No Matches
fitness::HardwareHealth::Failure Struct Reference

Hardware Failure. More...

## Public Attributes

int | creationOrderId
| failures created later have a larger id; range 1..failure-count
string | componentId
| the ID of the affected hardware component
int | type
| one of the hardware failure type constants
string | description
| human readable string describing HW component and failure
boolean | isAsserted
| `true` when the failure is currently asserted
time | lastAssertTimeStamp
| UNIX timestamp (UTC) when the failure was last asserted.
time | lastDeassertTimeStamp
| UNIX timestamp (UTC) when the failure was last deasserted (0 if asserted)
int | assertCount
| count of assertions

## Detailed Description

Hardware Failure.

The documentation for this struct was generated from the following file:

- HardwareHealth.idl